﻿using System.Threading;
using Cysharp.Threading.Tasks;
using JetBrains.Annotations;

namespace Magify
{
    public interface IAppStateProvider
    {
        UniTask<string> PrepareState(CancellationToken cancellationToken);
        UniTask HandleState([NotNull] string state, CancellationToken cancellationToken);
    }
}