using Newtonsoft.Json;

namespace Magify.Model
{
    internal class AppBackgroundEvent : IAnalyticsEvent
    {
        [JsonProperty("session_id")]
        public string SessionId { get; init; }

        [JsonProperty("opening_timestamp")]
        public double OpenTimestamp { get; init; }

        [JsonProperty("closing_timestamp")]
        public double CloseTimestamp { get; init; }
    }
}